To update crypto refund status.This is a webhook endpoint that must be implemented by the recipient to receive these notifications.
Important:You do not need to call this API; instead, you need to expose a public endpoint matching this specification.
Refer to the Webhook section for details on signature verification, retry policy, and security best practices. Applies to: PSP and Direct Client Request
Body Params application/json
{
"eventType": "string",
"notificationId": "string",
"data": {
"cryptoRefundId": "string",
"originalTransactionType": 1,
"originalTransactionId": "string",
"participantCode": "string",
"clientReference": "string",
"status": 1,
"blockchain": "string",
"currency": "string",
"amount": "string",
"refundAddress": "string",
"feeCurrency": "string",
"feeAmount": "string",
"txnHash": "string"
}
}
Request Code Samples
curl --location 'https://your-api-server.com' \
--header 'Content-Type: application/json' \
--data '{
"eventType": "string",
"notificationId": "string",
"data": {
"cryptoRefundId": "string",
"originalTransactionType": 1,
"originalTransactionId": "string",
"participantCode": "string",
"clientReference": "string",
"status": 1,
"blockchain": "string",
"currency": "string",
"amount": "string",
"refundAddress": "string",
"feeCurrency": "string",
"feeAmount": "string",
"txnHash": "string"
}
}'
Responses
application/json
Modified at 2026-08-06 01:55:02